export declare const TYPE_PASSWORD = "password";
export declare const ERROR = "Missing configuration parameters for Responsys connection. ";
export declare const KEY_TOKEN = "last_token";
export declare const KEY_ENDPOINT = "last_endpoint";
export declare const KEY_ISSUED_AT = "last_issued_at";
export declare const DEFAULT_STORE = "ResponsysAuthCache.db";
export declare const CONTENT_TYPE_URLENCODED = "application/x-www-form-urlencoded";
export declare const CONTENT_TYPE_JSON = "application/json";
export declare const TYPE_TOKEN = "token";
export declare const CLIENT_OPTIONS_RETRY: {
    initial: number;
    multiplier: number;
};
export declare const CLIENT_OPTIONS_TIME_OUT = 120000;
export declare const CLIENT_OPTIONS_ERROR: {
    code: number;
};
export declare const HTTP_METHOD_POST = "POST";
export declare const HTTP_METHOD_GET = "GET";
export declare const INVALID_REQUEST_PARAMETERS = "Invalid request parameters";
export declare const INVALID_PARAMETER = "INVALID_PARAMETER";
export declare const BASE_URL = "/rest/api/v1.3";
export declare const MERGER_RULE: {
    htmlValue: string;
    matchColumnName1: string;
    matchColumnName2: null;
    optoutValue: string;
    insertOnNoMatch: boolean;
    defaultPermissionStatus: string;
    rejectRecordIfChannelEmpty: string;
    optinValue: string;
    textValue: string;
    matchOperator: string;
};
export declare const FIELD_NAMES: string[];
