"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const interceptor = require("rest/interceptor");
const AuthCache_1 = require("./AuthCache");
class AuthInterceptor {
    constructor() {
        this.authCache = new AuthCache_1.AuthCache();
    }
    get() {
        return interceptor({
            success: (response) => {
                this.authCache.set(JSON.parse(response.entity));
                return response;
            }
        });
    }
}
exports.AuthInterceptor = AuthInterceptor;
//# sourceMappingURL=AuthenticationInterceptor.js.map