import { CacheProvider } from '.';
export declare class MemoryCache implements CacheProvider {
    private static instance;
    static getInstance(): MemoryCache;
    private store;
    private constructor();
    init(): void;
    clear(): void;
    set(key: string, value: any): void;
    get<T>(key: string): T | undefined;
}
