"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var Request_1 = require("../../commons/Request");
var Constants_1 = require("../../Constants");
var TableCreateRequest = /** @class */ (function (_super) {
    __extends(TableCreateRequest, _super);
    function TableCreateRequest(tableData, folderName) {
        var _this = this;
        var service = Constants_1.BASE_URL + "/folders/" + folderName + "/suppData";
        var header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        var table = JSON.stringify(tableData);
        _this = _super.call(this, table, service, header) || this;
        return _this;
    }
    return TableCreateRequest;
}(Request_1.Request));
exports.TableCreateRequest = TableCreateRequest;
//# sourceMappingURL=Create.js.map