"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = require("../../commons/Request");
const Constants_1 = require("../../Constants");
class TableFetchRequest extends Request_1.Request {
    constructor(tableName, folderName) {
        const service = `${Constants_1.BASE_URL}/folder/${folderName}/suppData/${tableName}?ft=PK`;
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        const notEntity = '';
        super(notEntity, service, header, Constants_1.HTTP_METHOD_GET);
    }
}
exports.TableFetchRequest = TableFetchRequest;
//# sourceMappingURL=Request.js.map