"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TYPE_PASSWORD = 'password';
exports.ERROR = 'Missing configuration parameters for Responsys connection. ';
exports.KEY_TOKEN = 'last_token';
exports.KEY_ENDPOINT = 'last_endpoint';
exports.KEY_ISSUED_AT = 'last_issued_at';
exports.DEFAULT_STORE = 'ResponsysAuthCache.db';
exports.CONTENT_TYPE_URLENCODED = 'application/x-www-form-urlencoded';
exports.CONTENT_TYPE_JSON = 'application/json';
exports.TYPE_TOKEN = 'token';
exports.CLIENT_OPTIONS_RETRY = { initial: 100, multiplier: 2 };
exports.CLIENT_OPTIONS_TIME_OUT = 120000;
exports.CLIENT_OPTIONS_ERROR = { code: 404 };
exports.HTTP_METHOD_POST = 'POST';
exports.HTTP_METHOD_GET = 'GET';
exports.INVALID_REQUEST_PARAMETERS = 'Invalid request parameters';
exports.INVALID_PARAMETER = 'INVALID_PARAMETER';
exports.BASE_URL = '/rest/api/v1.3';
exports.MERGER_RULE = {
    htmlValue: 'H',
    matchColumnName1: 'EMAIL_ADDRESS_',
    matchColumnName2: null,
    optoutValue: 'O',
    insertOnNoMatch: true,
    defaultPermissionStatus: 'OPTIN',
    rejectRecordIfChannelEmpty: 'E',
    optinValue: 'I',
    textValue: 'T',
    matchOperator: 'NONE'
};
exports.FIELD_NAMES = [
    'EMAIL_ADDRESS_',
    ''
];
//# sourceMappingURL=Constants.js.map