"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MemoryCache {
    constructor() {
        this.store = new Map();
    }
    static getInstance() {
        return this.instance || (this.instance = new MemoryCache());
    }
    init() { }
    clear() {
        this.store.clear();
    }
    set(key, value) {
        this.store.set(key, value);
    }
    get(key) {
        return this.store.has(key) ? this.store.get(key) : undefined;
    }
}
exports.MemoryCache = MemoryCache;
//# sourceMappingURL=memory-cache.js.map