"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = require("../commons/Request");
const Constants_1 = require("../Constants");
class MergeTriggerEmailRequest extends Request_1.Request {
    constructor(mergeTriggerRecordData, campaign) {
        const service = `/rest/api/v1.3/campaigns/${campaign}/email`;
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        const entity = JSON.stringify({
            mergeTriggerRecordData,
            mergeRule: Constants_1.MERGER_RULE
        });
        super(entity, service, header);
    }
}
exports.MergeTriggerEmailRequest = MergeTriggerEmailRequest;
//# sourceMappingURL=MergeTriggerEmailRequest.js.map