"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = require("../commons/Request");
const Constants_1 = require("../Constants");
class TriggerEmailMessageRequest extends Request_1.Request {
    constructor(recipients, campaign) {
        const service = `${Constants_1.BASE_URL}/campaigns/${campaign}/email`;
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        const entity = JSON.stringify({
            recipientData: Array.from(recipients)
        });
        super(entity, service, header);
    }
}
exports.TriggerEmailMessageRequest = TriggerEmailMessageRequest;
//# sourceMappingURL=TriggerEmailMessageRequest.js.map