"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Request_1 = require("../../commons/Request");
const Constants_1 = require("../../Constants");
class TableCreateRequest extends Request_1.Request {
    constructor(tableData, folderName) {
        const service = `${Constants_1.BASE_URL}/folders/${folderName}/suppData`;
        const header = {
            'content-type': Constants_1.CONTENT_TYPE_JSON
        };
        const table = JSON.stringify(tableData);
        super(table, service, header);
    }
}
exports.TableCreateRequest = TableCreateRequest;
//# sourceMappingURL=CreateRequest.js.map